HardBirch

Eclipse配置JBOSS进行EJB3.0的开发

时间:08-11-16 栏目:iOS移动应用开发技术 作者:张飞不张,文采横飞 评论:0 点击: 1,439 次

                 Eclipse配置JBOSS进行EJB3.0的开发

1.下载的资源或者工具

Ant1.7

jboss-4.0.5.GA.ziphttp://www.jboss.org/jbosside/download/index.htmljboss-EJB-3.0_RC9_Patch_1.ziphttp://www.jboss.org/jbosside/download/index.html

JBossIDE-2.0.0.Beta2-Bundle-win32.ziphttp://www.jboss.org/jbosside/download/index.html

Eclipse 3.2.0 + MyEclipse 5.1.0 GAhttp://www.verycd.com

JBossIDE-2.0.0.Beta2-Bundle-win32.zip解压后即可以使用其实就是Eclipse,可以创建EJB3.0 Project,但是在Window->Preferences下无法配置jboss,实在是郁闷,在MyEclipse6.5下下可以配置jboss但是又不可以创建EJB3.0工程,实在超级郁闷,弄了小半天也没找到在JBossIDE下的JBOSS插件以达到配置jboss服务器的目的,没找到,实在不明白为什么JBossIDE为什么不能配置jboss服务器的插件。

2.我的解决方法:

  1.下载Eclipse 3.2.0 + MyEclipse 5.5.1GA,并安装。

  JBossIDE-2.0.0.Beta2-Bundle-win32.zip解压到"x:/jbosside/eclipse/"文件夹,将"features""plugins"两个文件夹以外的东西全部删除从MyEclipse下拷现成文件".eclipseextension"过来,具体写什么没影响)并将此文件复制到x:/jbosside/eclipse/目录下。

  2.经过上一步的操作JBossIDE已经成为一个扩展插件,而非单独的Eclipse IDE了。
   
打开已经安装的MyEclipse 5.5.0 ,菜单栏中选择帮助(Help)”--软件更新(Sofware Updates)”--管理配置(Manage Configuration)”
   
“../MyEclipse 5.5.1GA/eclipse”结点上右键选择添加(ADD)”--扩展位置...(Extension Location)”选择JBossIDE的安装路径(x:/jbosside/eclipse/)

 3.重启MyEclipse 5.5.1GA"新建项目"便就可以选择"EJB3.0""EJB 3.0 Project"

 注:我在MyEclipse6.5中的尝试结果是MyEclipse6.5启动报错,在Eclipse3.2Eclipse3.3中的尝试结果是"新建项目"中可以选择"EJB3.0""EJB 3.0 Project",但是Window->Preferences下仍然无法配置jboss

声明: 本文由( 张飞不张,文采横飞 )原创编译,转载请保留链接: Eclipse配置JBOSS进行EJB3.0的开发

Eclipse配置JBOSS进行EJB3.0的开发:等您坐沙发呢!

发表评论


QQ群互动

Linux系统与内核学习群:194051772

WP建站技术学习交流群:194062106

魔豆之路QR

魔豆的Linux内核之路

魔豆的Linux内核之路

优秀工程师当看优秀书籍

优秀程序员,要看优秀书!

赞助商广告

友荐云推荐